# PSF-LoginServer - master - net.psforever.objects.locker.LockerEquipment
PSF - LoginServer - master - net.psforever.objects.locker.LockerEquipment
Keywords: PSF LoginServer master net.psforever.objects.locker.LockerEquipment

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package locker
  Definition Classes
    objects
- LockerContainer
- LockerContainerControl
- LockerEquipment

c

net.psforever.objects.locker

# LockerEquipment

###

#### class LockerEquipment extends Equipment with Container

A wrapper class that allows a player-facing locker component to be treated standard `Equipment` object in the player's fifth (sixth) slot. (The opposite is not true - the equipment does not get treated as a locker component.) During packet conversion and registration and general access in terms of holsters or "equipment slots", the component may be be treated the same as other existing objects at the same level. The entity's ability to be utilized like an inventory-stowable entity is not compromised.

Source
  LockerEquipment.scala
See also

  `EquipmentSlot`

  `IdentifiableEntity`

  `LockerContainer`

Linear Supertypes
Container, Equipment, BlockMapEntity, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LockerEquipment
2. Container
3. Equipment
4. BlockMapEntity
5. FactionAffinity
6. PlanetSideGameObject
7. WorldEntity
8. IdentifiableEntity
9. Identifiable
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LockerEquipment(locker: LockerContainer)

   locker

     the player-facing locker

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Collisions(index: Int, width: Int, height: Int): Try[List[InventoryItem]]

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`.

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`. Where the `Equipment` object is defined by the dimensions `width` and `height`, starting a search at `index` will search all positions within a grid-like range of numbers. Under certain searching conditions, this range may be meaningless, such as is the case when searching individual positions that are normal `EquipmentSlot` objects. Regardless, the value collected indicates the potential of multiple objects being discovered and maintains a reference to the object itself and the slot position where the object is located. (As any object can be discovered within the range, that is important.)

   index

     the position to start searching

   width

     the width of the searchable space

   height

     the height of the serachable space

   returns

     a list of objects that have been encountered within the searchable space

   Definition Classes
     Container
   See also

     `GridInventory.CheckCollisionsVar`

5.  def Definition: EquipmentDefinition
   Definition Classes
     LockerEquipment → Equipment → PlanetSideGameObject
6.  def Destroyed: Boolean
   Definition Classes
     PlanetSideGameObject
7.  def Destroyed_=(state: Boolean): Boolean
   Definition Classes
     PlanetSideGameObject
8.  def Entity: WorldEntity
   Definition Classes
     PlanetSideGameObject
9.  def Entity_=(newEntity: WorldEntity): Unit
   Definition Classes
     PlanetSideGameObject
10.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      LockerEquipment → Equipment → FactionAffinity
11.  def Faction_=(fact: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Equipment → FactionAffinity
12.  def Find(guid: PlanetSideGUID): Option[Int]

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot.

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    guid

      the GUID of the `Equipment`

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
13.  def Find(obj: Equipment): Option[Int]

    Given an object, attempt to locate its slot.

    Given an object, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    obj

      the `Equipment` object

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
14.  def Fit(tile: InventoryTile): Option[Int]
    Definition Classes
      Container
15.  def Fit(obj: Equipment): Option[Int]
    Definition Classes
      Container
16.  def GUID: PlanetSideGUID
    Definition Classes
      LockerEquipment → IdentifiableEntity → Identifiable
17.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      LockerEquipment → IdentifiableEntity → Identifiable
18.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

19.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      LockerEquipment → IdentifiableEntity
20.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      LockerEquipment → IdentifiableEntity
21.  def Inventory: GridInventory

    A(n imperfect) reference to a generalized pool of the contained objects.

    A(n imperfect) reference to a generalized pool of the contained objects. Having access to all of the available positions is not required. The entries in this reference should definitely include all unseen positions. The `GridInventory` returned by this accessor is also an implementation of `Container`.

    Definition Classes
      LockerEquipment → Container
    See also

      `VisibleSlots`

22.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
23.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
24.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
25.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
26.  def Size: equipment.EquipmentSize.Value
    Definition Classes
      Equipment
27.  def Slot(slotNum: Int): EquipmentSlot

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable.

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable. Regardless of the internal storage medium, the format of return is expected to be the same structure of object as the most basic storage component for `Equipment`, namely, `EquipmentSlot` objects. By default, it is expected to return an `EquipmentSlot` that can not be manipulated because it is `Blocked`.

    slotNum

      an index

    returns

      the searchable position identified by that index

    Definition Classes
      Container
    See also

      `OffhandEquipmentSlot`

28.  def Tile: InventoryTile
    Definition Classes
      Equipment
29.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
30.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
31.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
32.  def VisibleSlots: Set[Int]

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required.

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required. Only the positions that can be actively viewed by other clients are listed.

    returns

      all of the affected slot indices

    Definition Classes
      LockerEquipment → Container
    See also

      `Inventory`

33.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
34.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
35.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
36.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
37.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
39.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
40.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
41.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
42.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
43.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
44.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
45.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
46.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
47.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
48.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
49.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
50.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
51.  def toString(): String
    Definition Classes
      Equipment → AnyRef → Any
52.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
53.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Container

### Inherited from Equipment

### Inherited from BlockMapEntity

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped